• If you have obtained any of my premium add-ons from another site, you DO NOT have a valid license for those add-ons and no support will be given to you.
    The only place that can sell licenses for my premium add-ons is this site.
Social Groups for XenForo 2.1+

Social Groups for XenForo 2.1+ [Paid] 2.1.10

No permission to buy ($49.00)

gouwepeer.nl

New Member
Validated XF Owner
XF2 Groups Owner
XF2 OSB Owner
XF2 Movies Owner
XF2 TV Owner
Problem solved :)
I've updated all add-ons and (customized) templates.
 

Snog

Administrator
Validated XF Owner
You must validate your XenForo license to see quoted content
Actually if it's working I'm surprised.

I'll be issuing an update for this tomorrow.
 

gouwepeer.nl

New Member
Validated XF Owner
XF2 Groups Owner
XF2 OSB Owner
XF2 Movies Owner
XF2 TV Owner
You must validate your XenForo license to see quoted content
I've only the XF default style and a self modificated default-style-based style. Everything working perfect now.
 

Nelson58

Member
Validated XF Owner
Raffles Owner
PayPal Balance Owner
Social Groups Owner
XF2 Groups Owner
Getting this error with 2.1:

Code:
You must validate your XenForo license to see code
 

Snog

Administrator
Validated XF Owner
You must validate your XenForo license to see quoted content
Also be sure you've upgraded XFMG and your other add-ons. ;)

More specifically Siropu\AdsManager, EWPorta and xenMade\LAU
 

Nelson58

Member
Validated XF Owner
Raffles Owner
PayPal Balance Owner
Social Groups Owner
XF2 Groups Owner
Yes, and I am getting this:

Code:
You must validate your XenForo license to see code
 

Snog

Administrator
Validated XF Owner
You must validate your XenForo license to see quoted content
Try disabling the other add-ons mentioned in the error log and see if you still get the error..
More specifically Siropu\AdsManager, EWPorta and xenMade\LAU

I believe the error is coming from one of those because I can not duplicate it here or on my development server.

That and line 181 in my add-on returns control to the parent function. So, the error isn't coming from the groups add-on. It's coming from another add-on that is calling the canLike function and my add-on is just exposing that add-ons problem. The "canLike" function in my add-on is there for backwards compatibility with XF 2.0 but it does not call the function. "canLike" does not exist in XF 2.1, so any add-on that calls the "canLike" function will be the cause of the error.

EDIT: I believe it's coming from here..
The ads manager or EW Porta.
Code:
You must validate your XenForo license to see code
And I know he just updated the ads manager today, so if you haven't upgraded that it's highly possible that's where it's coming from...
 

Nelson58

Member
Validated XF Owner
Raffles Owner
PayPal Balance Owner
Social Groups Owner
XF2 Groups Owner
Your addon is conflicting with EW Zenporta by Jaxel. When I access a certain post, I get this error:

Code:
You must validate your XenForo license to see code
If I disable the Groups addon, it clears and I can see the post. I would try to contact Jaxel, but he never responds, and appears to be an egomaniac.
 

Nelson58

Member
Validated XF Owner
Raffles Owner
PayPal Balance Owner
Social Groups Owner
XF2 Groups Owner
Likewise, if I disable the EW Porta addon , it also clears, but I need that addon.
 

Snog

Administrator
Validated XF Owner
You must validate your XenForo license to see quoted content
You must validate your XenForo license to see quoted content
There is NO "canLike" function being called by the group system the function is there for backwards compatiblity with XenForo 2.0. And the fact that the function exists in my add-on is exposing the problem in another add-on. I've explained that above.

The error is coming from one or more of the XenPorta templates that is calling canLike. canLike is a XenForo 2.0 function ONLY. You need to upgrade that. OR, you can edit the XenPorta templates and change canLike to canReact anywhere it's called by XenPorta.

To be exact, canLike is being called in the EWRporta_article_macros template where shown below (in 2 places)...
Code:
You must validate your XenForo license to see code
That is a XenForo 2.0 function ONLY. Change it to canReact.
 

Nelson58

Member
Validated XF Owner
Raffles Owner
PayPal Balance Owner
Social Groups Owner
XF2 Groups Owner
Will do, and thanks for helping Snog. His addons are good, but Jaxel provides no support whatsoever.
 

Snog

Administrator
Validated XF Owner
You must validate your XenForo license to see quoted content
You may also need to change the link for those from 'posts/like' to 'posts/react'.

I don't mind helping where I can, but when I'm telling you that the problem is in another add-on (and I narrowed it down to 3) I can't always be the one to debug their add-ons.
 

Snog

Administrator
Validated XF Owner
Final warning: Tomorrow the next version of the Social Groups system will be released. Support for XF 2.0 will be dropped in that release.
 

Funar

New Member
Validated XF Owner
XF2 Forms Owner
XF2 Groups Owner
XF2 Raffles Owner
Getting an error after updating to 2.1.8 on Xenforo 2.1.0 while attempting to create a new group...

Code:
You must validate your XenForo license to see code
 

Funar

New Member
Validated XF Owner
XF2 Forms Owner
XF2 Groups Owner
XF2 Raffles Owner
You must validate your XenForo license to see quoted content
Oddly, I did not get this message on a second attempt to create the same group. It seems the first attempt triggered the error, but subsequent attempts succeed.
 

Snog

Administrator
Validated XF Owner
You must validate your XenForo license to see quoted content
There may have been some caching taking place after the upgrade that didn't complete right away.
 
Top Bottom